@Generated(value="org.apache.camel.maven.packaging.EndpointDslMojo") public interface MyBatisBeanEndpointBuilderFactory
| Modifier and Type | Interface and Description |
|---|---|
static interface |
MyBatisBeanEndpointBuilderFactory.AdvancedMyBatisBeanEndpointBuilder
Advanced builder for endpoint for the MyBatis Bean component.
|
static class |
MyBatisBeanEndpointBuilderFactory.ExecutorType
Proxy enum for
org.apache.ibatis.session.ExecutorType enum. |
static interface |
MyBatisBeanEndpointBuilderFactory.MyBatisBeanBuilders |
static interface |
MyBatisBeanEndpointBuilderFactory.MyBatisBeanEndpointBuilder
Builder for endpoint for the MyBatis Bean component.
|
| Modifier and Type | Method and Description |
|---|---|
static MyBatisBeanEndpointBuilderFactory.MyBatisBeanEndpointBuilder |
mybatisBean(String path)
MyBatis Bean (camel-mybatis)
Performs a query, insert, update or delete in a relational database using
MyBatis.
|
static MyBatisBeanEndpointBuilderFactory.MyBatisBeanEndpointBuilder mybatisBean(String path)
mybatis-bean:beanName:methodName
Path parameter: beanName (required)
Name of the bean with the MyBatis annotations. This can either by a type
alias or a FQN class name.
Path parameter: methodName (required)
Name of the method on the bean that has the SQL query to be executed.Apache Camel